# pandas.Panel.fromDict

classmethod `Panel.``fromDict`(data, intersect=False, orient='items', dtype=None)

  Construct Panel from dict of DataFrame objects

  Parameters:

  data : dict

  > {field : DataFrame}

  intersect : boolean

  > Intersect indexes of input DataFrames

  orient : {‘items’, ‘minor’}, default ‘items’

  > The “orientation” of the data. If the keys of the passed dict should be the items of the result panel, pass ‘items’ (default). Otherwise if the columns of the values of the passed DataFrame objects should be the items (which in the case of mixed-dtype data you should do), instead pass ‘minor’

  dtype : dtype, default None

  > Data type to force, otherwise infer

  Returns: | Panel

Scroll To Top